import { WebSocketRouteIntegration, WebSocketRouteIntegrationConfig, WebSocketRouteIntegrationBindOptions } from '../../../aws-apigatewayv2';
/**
 * (experimental) Mock WebSocket Integration.
 *
 * @experimental
 */
export declare class WebSocketMockIntegration extends WebSocketRouteIntegration {
    /**
     * @param id id of the underlying integration construct.
     * @experimental
     */
    constructor(id: string);
    /**
     * (experimental) Bind this integration to the route.
     *
     * @experimental
     */
    bind(options: WebSocketRouteIntegrationBindOptions): WebSocketRouteIntegrationConfig;
}
